LINUX.ORG.RU

Проблема с обновлением

 , ,


0

1
sudo pacman -Syyu
:: Синхронизируются базы данных пакетов...
 core                       121,0 KiB   865K/s 00:00 [############################] 100%
 extra                     1792,8 KiB  8,22M/s 00:00 [############################] 100%
 community                    3,4 MiB  11,1M/s 00:00 [############################] 100%
 community-staging           43,6 KiB  0,00B/s 00:00 [############################] 100%
 multilib                   161,3 KiB  15,8M/s 00:00 [############################] 100%
 multilib-staging            29,0   B  0,00B/s 00:00 [############################] 100%
 archlinuxfr                702,0   B  0,00B/s 00:00 [############################] 100%
 alpmtmp.Bgp7GW             702,0   B  0,00B/s 00:00 [############################] 100%
 staging                      6,5 KiB  0,00B/s 00:00 [############################] 100%
:: Запускается полное обновление системы...
:: Заменить akonadi-client на extra/akonadi? [Y/n] Y
предупреждение: mkinitcpio-nfs-utils: установленная версия (0.3-5.3) новее, чем в core (0.3-5)
:: Заменить oxygen-cursors на extra/oxygen? [Y/n] Y
предупреждение: p7zip: установленная версия (15.09-0.2) новее, чем в extra (9.38.1-4)
разрешение зависимостей...
проверка конфликтов...
:: xorg-server и xf86-input-aiptek конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-aiptek? [y/N] y
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: manjaro-system: требует pacman-init

В octopi

:: Starting full system upgrade... :: manjaro-system: requires pacman-init 


Ответ на: комментарий от Deleted

Нашел что нужно установить, но все равно не дает!

yaourt -S packagekit
разрешение зависимостей...
проверка конфликтов...
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: manjaro-system: требует pacman-init

seroff ()

staging

не лезь поперёк батьки в пекло (с)
всё что могу тебе посоветовать

да и вообще, странно — поставить манжару и подключать репы для разрабов

amorpher ★★★★★ ()
Последнее исправление: amorpher (всего исправлений: 1)
Ответ на: комментарий от seroff

Проблемы при обновлениях практически всегда из-за подключенных левых репозиториев. Вы натащили оттуда в систему всякого крапа, конечно системе поплохеет. Я понимаю, когда репы подключают из необходимости, но когда «друг сказал»...

Deleted ()
Ответ на: комментарий от seroff

ты сам себе проблемы ищешь
манжара это «стабильный изкоробочный арч». ну т. е. в манжару пакеты позже попадают из арча (больше проверяются) — стейбл арча это тестинг манжары, типа того
а ты подключаешь левак в манжару, вот зачем???
каких пакетов не хватает? то же самое же, есть аур
ставь тогда арч и подключай анстейбл, но тем не создавай соответственно, ибо сознательно на грабли наступаешь, это для разработчиков всё предназначено или накрайняк для тестеров, а они знают зачем и почему используют такие репы

amorpher ★★★★★ ()
Ответ на: комментарий от seroff

Вам помогает, просто вы этого не осознаёте. Вы навалили в систему хз каких пакетов из васянских репозиториев и думаете, что кто-то знает, что там в вашей системе происходит?

Вы можете отключить эти левые репозитории, которые вам очевидно не нужны, а можете продолжать слушать друга и ходить по граблям.

Deleted ()
Ответ на: комментарий от Deleted

Отключил и толку????????????

yaourt -Syyu
:: Синхронизируются базы данных пакетов...
 core                       121,0 KiB  1043K/s 00:00 [############################] 100%
Y extra                     1677,6 KiB  2,73M/s 00:00 [##########################--]  93 extra                     1793,2 KiB  8,34M/s 00:00 [############################] 100%
 community                    3,4 MiB  10,1M/s 00:00 [############################] 100%
 multilib                   161,3 KiB  12,1M/s 00:00 [############################] 100%
 archlinuxfr                702,0   B  0,00B/s 00:00 [############################] 100%
 alpmtmp.XuvVms             702,0   B  0,00B/s 00:00 [############################] 100%
error: failed to prepare transaction (could not satisfy dependencies)
:: Запускается полное обновление системы...
:: Заменить akonadi-client на extra/akonadi? [Y/n] Y
предупреждение: mkinitcpio-nfs-utils: установленная версия (0.3-5.3) новее, чем в core (0.3-5)
:: Заменить oxygen-cursors на extra/oxygen? [Y/n] Y
предупреждение: p7zip: установленная версия (15.09-0.2) новее, чем в extra (9.38.1-4)
разрешение зависимостей...
проверка конфликтов...
:: xorg-server и xf86-input-aiptek конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-aiptek? [y/N] Y
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: manjaro-system: требует pacman-init

seroff ()
Ответ на: комментарий от amorpher

Такое сразу послу установки manajaro с стандартными репозиториями я уже 10 раз переустанавливаел, достало уже, после установки русского kde у меня слетел manjaro

rm /usr/share/locale/ru/LC_MESSAGES/khelpcenter.mo
sudo pacman -S kde-l10n-ru 
и в итоге после перезагрузки: https://yadi.sk/i/6SEnh-4qrSsXh [видео]

seroff ()
Ответ на: комментарий от amorpher

Со стандартными репозиториями Вот это выдает тоже самое

:: Запускается полное обновление системы...
:: Заменить akonadi-client на extra/akonadi? [Y/n] Y
предупреждение: mkinitcpio-nfs-utils: установленная версия (0.3-5.3) новее, чем в core (0.3-5)
:: Заменить oxygen-cursors на extra/oxygen? [Y/n] Y
предупреждение: p7zip: установленная версия (15.09-0.2) новее, чем в extra (9.38.1-4)
разрешение зависимостей...
проверка конфликтов...
:: xorg-server и xf86-input-aiptek конфликтуют (X-ABI-XINPUT_VERSION). Удалить xf86-input-aiptek? [y/N] Y
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: manjaro-system: требует pacman-init

seroff ()
Ответ на: комментарий от amorpher

А вот как поставить русский не испортив систему хз, на это не кто не может ответить

seroff ()
Ответ на: комментарий от Deleted

Что я переустановил нечего не менял кроме русского и всё слетело вот так Нечего не менял кроме

sudo pacman -Sy
rm /usr/share/locale/ru/LC_MESSAGES/khelpcenter.mo
sudo pacman -S kde-l10n-ru 
seroff ()
Ответ на: комментарий от Deleted

Русский utf-8 и English utf-8 и еще 1 английский не помню точно, но всё на половину тот и тот

seroff ()
Ответ на: комментарий от seroff

Ты налепил кучу левака в систему, что - то пошло не так в левых репах, теперь уже поздно что - то менять с твоим уровнем понимания. «***!!!, помогите, не трогайте мои репы, у меня друг все знает, просто почините!» Хочешь чтобы работало и хочешь кучу левых реп - читай вики, не хочешь - ставь убунту, там много ppa. Манжара - это арч, в котором не надо лезть в дебри, все работает и так при достаточно свежем софте. Определись что ты хочешь и двигайся дальше. На данный момент тебе надо переустановить систему.

blokant ★★ ()

А что если отключить репозитории, обновиться, а потом снова включить?

sudopacman ★★★★★ ()
Ответ на: комментарий от seroff

Я сейчас специально проверил - переключил на русскую локаль и перелогинился. Всё нормально локализовано. Вы точно официальный дистрибутив ставили, а не васянскую сборочку со всяких рутрекеров и nnm-club.ru?

Deleted ()
Ответ на: комментарий от seroff

вот я сижу на *бунту, но если идет обновление серьезное у меня то «левые» репы отключает сама система (когда прыгаю на другую цифру), так же и у тебя, тебе тут умные люди подсказали что ты принес в свой дом говна вагон и твоя система не может обновить пакеты потому как они конфликтуют с другими пакетами которые ты принес с других реп так тебе понятно будет? или ты думаешь самый умный? а те кто помогает тут тебе советами за бесплатно дебилы?

mul4 ★★★★★ ()
Ответ на: комментарий от mul4

Достали с репозиторями, что вам там медом намазано? Не из-за них, я сколько объяснять, или вы вообще не догоняете?

seroff ()
Ответ на: комментарий от Deleted

Посмотрите с обновлениями

pacman -Syu
Вот такое выдает
 manjaro-system: требует pacman-init
И как тогда с ней работать?

seroff ()
Ответ на: комментарий от seroff

все ясно... а пакеты ты откуда ставишь? ты уверен что в тех репах не было пакетов которые бы ломали твои родные пакеты?

mul4 ★★★★★ ()
Ответ на: комментарий от mul4

В общем я короче понял, это наверное проблема, что сохранились некоторые данные с arch и они не дают всё изменить, так как на виртуалке у меня другая ситуация, а у меня оболочка на моем старая, я пробовал в старой папке home всё удалить, но оболочка особо не изменилась, коренную папку отформатировал напрочь, а вот home не форматировал, так как там некоторые данные записаны которые не хочу терять, а вот хз что нужно удалить от систему, удалил файлы и папки которые начинаются с точек и толку мало

seroff ()

Однако будет весело, когда такими темпами у Серова появится 4-5 звезд ;)

anonymous ()
Ответ на: комментарий от Deleted

При обнове на виртуалке у меня ошибки вышли

загрузка необходимых ключей...
ошибка: key "8DB9F8C18DF53602" could not be looked up remotely
ошибка: требуемый ключ отсутствует в цепочке ключей
ошибка: не удалось завершить запрос (непредвиденная ошибка)
Обнаружены ошибки, пакеты не были обновлены.

А репозитории родные и что же делать??? Вот не задача!

seroff ()
Ответ на: комментарий от Deleted

Спасибо, всё заработало на виртуалке сегодня попробую как основную поставить

seroff ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.